## GstGLColorConvert

GstGLColorConvert — an object that converts between color spaces/formats

## Functions

GstGLColorConvert * | gst_gl_color_convert_new ()
gboolean | gst_gl_color_convert_set_caps ()
GstCaps * | gst_gl_color_convert_transform_caps ()
GstCaps * | gst_gl_color_convert_fixate_caps ()
gboolean | gst_gl_color_convert_decide_allocation ()
GstBuffer * | gst_gl_color_convert_perform ()

## Types and Values

#define | GST_GL_COLOR_CONVERT_FORMATS
#define | GST_GL_COLOR_CONVERT_VIDEO_CAPS
| GstGLColorConvert
| GstGLColorConvertClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstGLColorConvert

## Description

GstGLColorConvert is an object that converts between color spaces and/or formats using OpenGL Shaders.

A GstGLColorConvert can be created with `gst_gl_color_convert_new()`.

## Functions

### gst_gl_color_convert_new ()

    GstGLColorConvert *
    gst_gl_color_convert_new (GstGLContext *context);

#### Parameters

context | a GstGLContext |

#### Returns

a new GstGLColorConvert object

### gst_gl_color_convert_set_caps ()

    gboolean
    gst_gl_color_convert_set_caps (GstGLColorConvert *convert,
                                   GstCaps *in_caps,
                                   GstCaps *out_caps);

Initializes `convert` with the information required for conversion.

#### Parameters

convert | a GstGLColorConvert |
in_caps | input GstCaps |
out_caps | output GstCaps |

### gst_gl_color_convert_transform_caps ()

    GstCaps *
    gst_gl_color_convert_transform_caps (GstGLContext *convert,
                                         GstPadDirection direction,
                                         GstCaps *caps,
                                         GstCaps *filter);

### gst_gl_color_convert_fixate_caps ()

    GstCaps *
    gst_gl_color_convert_fixate_caps (GstGLContext *convert,
                                      GstPadDirection direction,
                                      GstCaps *caps,
                                      GstCaps *other);

### gst_gl_color_convert_decide_allocation ()

    gboolean
    gst_gl_color_convert_decide_allocation
                                   (GstGLColorConvert *convert,
                                    GstQuery *query);

### gst_gl_color_convert_perform ()

    GstBuffer *
    gst_gl_color_convert_perform (GstGLColorConvert *convert,
                                  GstBuffer *inbuf);

Converts the data contained by `inbuf` using the formats specified by the GstVideoInfos passed to `gst_gl_color_convert_set_caps()`

#### Parameters

convert | a GstGLColorConvert |
inbuf | the texture ids for input formatted according to in_info |

#### Returns

a converted GstBuffer or `NULL`%

## Types and Values

### GST_GL_COLOR_CONVERT_FORMATS

    #define             GST_GL_COLOR_CONVERT_FORMATS

The currently supported formats that can be converted

### GST_GL_COLOR_CONVERT_VIDEO_CAPS

    #define             GST_GL_COLOR_CONVERT_VIDEO_CAPS

The currently supported GstCaps that can be converted

### GstGLColorConvert

    typedef struct _GstGLColorConvert GstGLColorConvert;

Opaque GstGLColorConvert object

### GstGLColorConvertClass

    typedef struct {
      GstObjectClass object_class;
    } GstGLColorConvertClass;

The GstGLColorConvertClass struct only contains private data

## See Also

GstGLUpload, GstGLMemory, GstGLBaseMemory